#pragma once
#include "Calibration.h"

class Flats : public Calibration
{
	//Atributos
private:
	double* master;
	//Metodos
private:
	double getMean(list<long> plist);
public:
	Flats();
	Flats(string name);
	~Flats();
	void ObtainMaster(long* biasmasterdata, long* darksmasterdata);
	double* getMaster();
	void free_data();
	void free_Master();
	void PrintMasterData(int limx, int limy);
	//Metodos de lectura de archivo master
	void setMaster(string masterfile);
	//Metodo para setter un nuevo darks
	void setNewFlats(string newflats);
	void setNullMaster(int xs, int ys);
};

